import React, { Component } from 'react'
// import { View, Text } from '@tarojs/components'
import TabPageCutNav from '../../components/TabPageCutNav/index'
import NavHeader from '../../components/NavHeader/index'
import ActivityListItem from '../../components/ActivityListItem/index'
import NewsListItem from '../../components/NewsListItem/index'
import '../../assets/css/reset.less'
import '../../assets/css/iconfont.less'
import './index.less'

export default class HuoDong extends Component {

  state = {
    TestImg: 'https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1606120989360&di=8610f1678b51e26de6d4c6af39d1cf63&imgtype=0&src=http%3A%2F%2Fattachments.gfan.com%2Fforum%2F201503%2F19%2F211608ztcq7higicydxhsy.jpg',
    NavList: [
      { name: '活动', id: 1 },
      { name: '资讯', id: 2 }
    ],
    CurrentNavId: 1,
    IsPull: false,
    ActivityList: ['', '', '', '', '', '', '', ''],
    NewsList: ['', '', '', '', '', '', '', '']
    // DataLock: false,
    // PageList: [],
    // PageData: {
    //   pageNum: 1,
    //   pageSize: 10
    // },
    // HasNextPage: true
  }

  componentWillMount () { }

  componentDidMount () { }

  componentWillUnmount () { }

  componentDidShow () { }

  componentDidHide () { }

  NavChange (e) {
    return () => {
      this.setState({
        CurrentNavId: e.id
      })
    }
  }

  OnRefresh () {
    this.setState({
      IsPull: true
    }, () => {
      window.setTimeout(() => {
        this.setState({
          IsPull: false
        })
      }, 1000)
    })
  }

  render () {
    const { CurrentNavId, NavList, IsPull, ActivityList, NewsList, TestImg } = this.state
    return (
      <view className='HuoDong flex-v'>
        <NavHeader BgColor='none' Title='活动' IsFixed={true}></NavHeader>
        <TabPageCutNav List={NavList} CurrentNavId={CurrentNavId} NavChange={this.NavChange.bind(this)}></TabPageCutNav>
        <view className='flex-item'>
          <view>
            <scroll-view scroll-y='true' style='height: 100%;' refresher-enabled={true} onrefresherrefresh={this.OnRefresh.bind(this)} refresher-triggered={IsPull} refresher-background='none'>

              {/* 活动 */}
              {
                CurrentNavId - 0 === 1 &&
                <view className='Content Activity'>
                  {
                    ActivityList.map((item, index) => (
                      <view className='ListItem' key={`ActivityItem-${index}`}>
                        <ActivityListItem Data={item}></ActivityListItem>
                      </view>
                    ))
                  }
                </view>
              }

              {/* 资讯 */}
              {
                CurrentNavId - 0 === 2 &&
                <view className='Content News'>
                  <view className='BigImg'>
                    <image mode='aspectFill' src={TestImg} class='centerLabel'></image>
                  </view>
                  <view className='List'>
                    {
                      NewsList.map((item, index) => (
                        <view className='ListItem' key={`NewsItem-${index}`}>
                          <NewsListItem Data={item} ShowTips={index === 0}></NewsListItem>
                        </view>
                      ))
                    }
                  </view>
                </view>
              }

            </scroll-view>
          </view>
        </view>
      </view>
    )
  }
}
