import React, { Component } from 'react'
import NavHeader from '../../components/NavHeader/index'
import '../../assets/css/reset.less'
import '../../assets/css/iconfont.less'
import './index.less'

export default class WoDe extends Component {

  state = {
    IsPull: false,
    UserTab: [
      { icon: 'iconrenzheng1', name: '业主认证', id: 1 },
      { icon: 'iconjifenguize', name: '积分明细', id: 2 },
      { icon: 'iconjiaofei', name: '物业缴费', id: 3 },
      { icon: 'iconfuwu1', name: '物业服务', id: 4 }
    ],
    MoreUserTab: [
      { icon: 'iconerweima', name: '推荐二维码', id: 5 },
      { icon: 'iconfenxiang', name: '推荐分享', id: 6 },
      { icon: 'iconhuodong', name: '参与活动', id: 7 }
    ]
  }

  componentWillMount () { }

  componentDidMount () { }

  componentWillUnmount () { }

  componentDidShow () { }

  componentDidHide () { }

  OnRefresh () { // 页面下拉刷新
    this.setState({
      IsPull: true
    }, () => {
      window.setTimeout(() => {
        this.setState({
          IsPull: false
        })
      }, 1000)
    })
  }

  render () {
    const { IsPull, UserTab, MoreUserTab } = this.state
    return (
      <view className='WoDe'>
        <NavHeader BgColor='none' Title='我的' IsFixed={true}></NavHeader>
        <scroll-view scroll-y='true' style='height: 100%;' refresher-enabled={true} onrefresherrefresh={this.OnRefresh.bind(this)} refresher-triggered={IsPull} refresher-background='#F35844'>
          <view className='WoDeContent'>

            {/* 顶部背景图 */}
            <view className='TopBg'>
              <view className='ColorBg'></view>
              <view className='UserInfo flex-h'>
                <view className='Icon'>
                  <image mode='aspectFill' src={null} class='centerLabel'></image>
                </view>
                <view className='flex-item'>
                  <text>徐慧慧</text>
                  <text>13613949434</text>
                </view>
                <text>签到</text>
              </view>
            </view>

            {/* 用户选项 */}
            <view className='UserTab'>
              {
                UserTab.map((item, index) => (
                  <view key={`UserTab-${index}`} className='flex-h'>
                    <text className={`iconfont ${item.icon}`}></text>
                    <view className='flex-h flex-item'>
                      <text className='flex-item'>{item.name}</text>
                      <text className='iconfont iconjiantouright'></text>
                    </view>
                  </view>
                ))
              }
              <view className='Line'></view>
              {
                MoreUserTab.map((item, index) => (
                  <view key={`UserTab-${index}`} className='flex-h'>
                    <text className={`iconfont ${item.icon}`}></text>
                    <view className='flex-h flex-item'>
                      <text className='flex-item'>{item.name}</text>
                      <text className='iconfont iconjiantouright'></text>
                    </view>
                  </view>
                ))
              }
            </view>

          </view>
        </scroll-view>
      </view>
    )
  }
}
